Announcement

Collapse
No announcement yet.

Error in vB 4.0.x Upgrade Instructions in 'Read Me' included with the Zip?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] Error in vB 4.0.x Upgrade Instructions in 'Read Me' included with the Zip?

    I'm upgrading my test installation of vB 4.0.3. I opened the read me file packed with the zip and found the following -

    Upgrading from vBulletin 4.0.x

    Close your board via the Admin Control Panel.
    Upload all files from the 'upload/' folder in the zip, with the exception of 'install/install.php'. Then open the 'upload/includes/' folder. In this you will find config.php.new. You should rename this to config.php and then open it in a text editor.
    Open your browser and point the URL to http://www.example.com/forum/install/upgrade.php (where www.example.com/forums/ is the URL of your vBulletin). You should now be automatically forwarded to the appropriate upgrade script and step.
    If any errors occur, copy the error and please contact support. DO NOT continue with the upgrade. Doing so may cause irreversible damage to the database.
    Follow the instructions on the screen. Make sure you click next step or proceed until you are redirected to your Admin Control Panel. Here, you can reopen your board.
    I think the text highlighted in blue is incorrect. One should delete the config.php.new (along with install/install.php) or simply leave it as it is. If the file is renamed to 'config.php', it will erase the existing config.php on the server and make the forum useless. Of course, this can be resolved by simply entering the details again.

    Is it a bug or am I missing out on something obvious?
    Founder | CrazyEngineers®
    About CE | Small Talk | Official Blog 'VoiCE'
    The Big K's SuperBlog | Join CE!
    The Mobiles Forum. Got A Question?

  • #2
    Originally posted by The_Big_K View Post
    I'm upgrading my test installation of vB 4.0.3. I opened the read me file packed with the zip and found the following -

    I think the text highlighted in blue is incorrect. One should delete the config.php.new (along with install/install.php) or simply leave it as it is. If the file is renamed to 'config.php', it will erase the existing config.php on the server and make the forum useless. Of course, this can be resolved by simply entering the details again.

    Is it a bug or am I missing out on something obvious?
    I agree. That part should be omitted out from the instructions as it is not needed when upgrading from one version of vb 4.0x to another.

    Comment

    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
    Working...
    X